Runtime

## org.eclipse.gmf.runtime.emf.core.resources
Class GMFResourceModificationManager

    java.lang.Object
      org.eclipse.gmf.runtime.emf.core.resources.GMFResourceModificationManager

    public class GMFResourceModificationManager

extends java.lang.Object

Manages the `isModified` state of resources in a given editing domain as operations are executed, undone and redone on the operation history.

This allows clients to use the `isModified` state of a resource to determine whether or not the resource is dirty and can be saved.

Since:
  1.2

Method Summary
`static GMFResourceModificationManager` `manage(org.eclipse.emf.transaction.TransactionalEditingDomain domain)` Creates a new resource modification manager for `domain`, if the `domain`'s command stack is integrated with an `IOperationHistory`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### manage

    public static GMFResourceModificationManager manage(org.eclipse.emf.transaction.TransactionalEditingDomain domain)

  Creates a new resource modification manager for `domain`, if the `domain`'s command stack is integrated with an `IOperationHistory`. The `isModified` state of a resource in `domain` will be set to `false` when the last operation affecting that resource is undone on the history.

  Parameters:
    `domain` - the editing domain
  Returns:
    the resource modification manager, or `null` if `domain` is not integrated with an operation history

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.